# CbcLongCliqueBranchingObject Class Reference

Unordered Clique Branching Object class. More...

`#include <CbcClique.hpp>`

Inheritance diagram for CbcLongCliqueBranchingObject:
[legend]
Collaboration diagram for CbcLongCliqueBranchingObject:
[legend]

List of all members.

## Public Member Functions
| CbcLongCliqueBranchingObject ()
| CbcLongCliqueBranchingObject (CbcModel *model, const CbcClique *clique, int way, int numberOnDownSide, const int *down, int numberOnUpSide, const int *up)
| CbcLongCliqueBranchingObject (const CbcLongCliqueBranchingObject &)
CbcLongCliqueBranchingObject & | operator= (const CbcLongCliqueBranchingObject &rhs)
| Assignment operator.
virtual CbcBranchingObject * | clone () const
| Clone.
virtual | ~CbcLongCliqueBranchingObject ()
virtual double | branch ()
| Does next branch and updates state.
virtual void | print ()
| Print something about branch - only if log level high.
virtual CbcBranchObjType | type () const
| Return the type (an integer identifier) of `this`.
virtual int | compareOriginalObject (const CbcBranchingObject *brObj) const
| Compare the original object of `this` with the original object of `brObj`.
virtual CbcRangeCompare | compareBranchingObject (const CbcBranchingObject *brObj, const bool replaceIfOverlap=false)
| Compare the `this` with `brObj`.
## Private Attributes
const CbcClique * | clique_
| data
unsigned int * | downMask_
| downMask - bit set to fix to weak bounds, not set to leave unfixed
unsigned int * | upMask_
| upMask - bit set to fix to weak bounds, not set to leave unfixed

## Detailed Description

Unordered Clique Branching Object class.

These are for cliques which are > 64 members Variable is number of clique.

Definition at line 234 of file CbcClique.hpp.

## Constructor & Destructor Documentation

CbcLongCliqueBranchingObject::CbcLongCliqueBranchingObject | ( |  | ) |

CbcLongCliqueBranchingObject::CbcLongCliqueBranchingObject | ( | CbcModel * | model,
|  | const CbcClique * | clique,
|  | int | way,
|  | int | numberOnDownSide,
|  | const int * | down,
|  | int | numberOnUpSide,
|  | const int * | up |
| ) |  |  |

CbcLongCliqueBranchingObject::CbcLongCliqueBranchingObject | ( | const CbcLongCliqueBranchingObject & |  | ) |

virtual CbcLongCliqueBranchingObject::~CbcLongCliqueBranchingObject | ( |  | ) | `[virtual]`

## Member Function Documentation

CbcLongCliqueBranchingObject& CbcLongCliqueBranchingObject::operator= | ( | const CbcLongCliqueBranchingObject & | rhs | ) |

Assignment operator.

Reimplemented from CbcBranchingObject.

virtual CbcBranchingObject* CbcLongCliqueBranchingObject::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CbcBranchingObject.

virtual double CbcLongCliqueBranchingObject::branch | ( |  | ) | `[virtual]`

Does next branch and updates state.

Implements CbcBranchingObject.

virtual void CbcLongCliqueBranchingObject::print | ( |  | ) | `[virtual]`

Print something about branch - only if log level high.

virtual CbcBranchObjType CbcLongCliqueBranchingObject::type | ( |  | ) | const`[inline, virtual]`

Return the type (an integer identifier) of `this`.

Implements CbcBranchingObject.

Definition at line 269 of file CbcClique.hpp.

virtual int CbcLongCliqueBranchingObject::compareOriginalObject | ( | const CbcBranchingObject * | brObj | ) | const`[virtual]`

Compare the original object of `this` with the original object of `brObj`.

Assumes that there is an ordering of the original objects. This method should be invoked only if `this` and brObj are of the same type. Return negative/0/positive depending on whether `this` is smaller/same/larger than the argument.

virtual CbcRangeCompare CbcLongCliqueBranchingObject::compareBranchingObject | ( | const CbcBranchingObject * | brObj,
|  | const bool | replaceIfOverlap = `false` |
| ) |  |  | `[virtual]`

Compare the `this` with `brObj`.

`this` and `brObj` must be os the same type and must have the same original object, but they may have different feasible regions. Return the appropriate CbcRangeCompare value (first argument being the sub/superset if that's the case). In case of overlap (and if `replaceIfOverlap` is true) replace the current branching object with one whose feasible region is the overlap.

## Member Data Documentation

const CbcClique* CbcLongCliqueBranchingObject::clique_`[private]`

data

Definition at line 295 of file CbcClique.hpp.

unsigned int* CbcLongCliqueBranchingObject::downMask_`[private]`

downMask - bit set to fix to weak bounds, not set to leave unfixed

Definition at line 297 of file CbcClique.hpp.

unsigned int* CbcLongCliqueBranchingObject::upMask_`[private]`

upMask - bit set to fix to weak bounds, not set to leave unfixed

Definition at line 299 of file CbcClique.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.7.7/Cbc/src/CbcClique.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines